Bug 1296126 - [RFE] Allow Instack disk sizes other than hard-coded 30G
[RFE] Allow Instack disk sizes other than hard-coded 30G
Status: CLOSED WONTFIX
Product: Red Hat OpenStack
Classification: Red Hat
Component: instack-undercloud (Show other bugs)
8.0 (Liberty)
All Unspecified
unspecified Severity low
: ---
: ---
Assigned To: James Slagle
Shai Revivo
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-06 07:04 EST by Raviv Bar-Tal
Modified: 2017-02-08 13:45 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-02-08 13:45:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Raviv Bar-Tal 2016-01-06 07:04:39 EST
Description of problem:
The instack disk size is hard coded to 30G in the instack-virt-setup script.
The disk size should have default size of 30G but should use env variable to allow other sizes.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. see the image create command in the script:
 disk-image-create \
        --image-size 30 \
        -a amd64 \
        $NODE_DIST instack-vm \
        -o $UNDERCLOUD_VM_NAME

2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 Mike Burns 2016-04-07 17:03:37 EDT
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.
Comment 6 Alex Schultz 2017-02-08 13:45:49 EST
My understanding is that we are no longer doing improvements to the instack-virt-setup.  If this is still needed or we are  still accepting changes for instack-virt-setup, feel free to reopen this.

Note You need to log in before you can comment on or make changes to this bug.